{*
 Шаблон вычисления "Текст: Изменение регистра"
*}

{if $list_field == 1}
// С заглавной после точки
if(!function_exists('work_with_text_register_ucfirst')) {
    function work_with_text_register_ucfirst($string, $enc = 'UTF-8') {
        return mb_strtoupper(mb_substr($string, 0, 1, $enc), $enc) . mb_substr($string, 1, mb_strlen($string, $enc), $enc);
    }
}

function with_a_capital_letter_after_a_point($string) { 
    $new_string = '';
    $keywords = preg_split('/([.?!\n]+)/', $string, -1, PREG_SPLIT_NO_EMPTY|PREG_SPLIT_DELIM_CAPTURE); 
    foreach ($keywords as $key => $value) { 
        $new_string .= ($key & 1) == 0 ? work_with_text_register_ucfirst(strtolower(trim($value))) : $value . ' ';
    }
    return trim($new_string); 
} 

$line['{$receiver_field}'] = with_a_capital_letter_after_a_point($line['{$source_field}']);
{elseif $list_field == 2}
// ВСЕ ПРОПИСНЫЕ
$line['{$receiver_field}'] = mb_convert_case($line['{$source_field}'], MB_CASE_UPPER);
{elseif $list_field == 3}
// все строчные
$line['{$receiver_field}'] = mb_convert_case($line['{$source_field}'], MB_CASE_LOWER);
{elseif $list_field == 4}
// Начинать С Прописных
$line['{$receiver_field}'] = mb_convert_case($line['{$source_field}'], MB_CASE_TITLE);
{/if}